package com.hotent.baseInfo.manager;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hotent.baseInfo.model.CostCatalogInformation;
import com.hotent.base.manager.BaseManager;
import com.hotent.baseInfo.req.CostBaseInfoPageReq;
import com.hotent.baseInfo.resp.CostCatalogInformationPageResp;

import java.util.List;

/**
 * 监审目录-政策文件 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-29
 */
public interface CostCatalogInformationManager extends BaseManager<CostCatalogInformation> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostCatalogInformation getDetail(String id);
	/**
	 * 新建、更新监审目录-政策文件
	 * @param costCatalogInformation
	 * @return
	 */
	void createOrUpdate(CostCatalogInformation costCatalogInformation);


	void deleteByIds(List<String> ids);


	IPage<CostCatalogInformationPageResp> pageList(CostBaseInfoPageReq req);


	List<CostCatalogInformation> getListByCatalogId(String catalogId);






}
